dir_guard=@mkdir -p $(@D)

all: rid 

rid: $(wildcard **.go)
	go build .

put: build/rid.linux_arm

build/rid.linux_arm: $(wildcard **.go)
	$(dir_guard)
	GOOS=linux GOARCH=arm go build -o build/rid.linux_arm .
	ssh 3bees.local '[ -f /usr/local/bin/rid ] && mv /usr/local/bin/rid /usr/local/bin/rid.retired || true'
	scp $@ 3bees.local:/usr/local/bin/rid
	osc-utility message --host 3bees.local --port 9137 --address /8bus/amp/halt
